<%- include('./include/header.ejs'); -%>

    <body class="hold-transition login-page">
        <div class="login-box">
            <div class="login-logo">
                <a href=""><b>India</b> Mart</a>
            </div>
            <!-- /.login-logo -->
            <div class="card">
                <div class="card-body login-card-body">
                    <p class="login-box-msg">Forgot your password</p>
                    <form id="forgotPassword" novalidate="novalidate">
                        <div class="card-body">
                            <div class="form-group">
                                <label for="exampleInputEmail1">Email address</label>
                                <input type="email" name="email" class="form-control" id="email"
                                    placeholder="Enter email">
                            </div>

                            <div class="card-footer">
                                <button type="submit" class="btn btn-primary">submit</button>
                            </div>
                    </form>
                </div>
                <!-- /.login-card-body -->
            </div>
        </div>
        <!-- jQuery -->
        <script src="<%= process.env.BASE_URL %>/plugins/jquery/jquery.min.js"></script>
        <script src="<%= process.env.BASE_URL %>/plugins/jquery-validation/jquery.validate.min.js"></script>
        <script src="<%= process.env.BASE_URL %>/plugins/jquery-validation/additional-methods.min.js"></script>
        <script src="<%= process.env.URL %>/plugins/toastr/toastr.min.js"></script>
        <!-- Bootstrap 4 -->
        <script src="<%= process.env.BASE_URL %>/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
        <!-- AdminLTE App -->
        <script src="<%= process.env.BASE_URL %>/dist/js/adminlte.min.js"></script>
        <script src="<%= process.env.BASE_URL %>/plugins/jszip/jszip.min.js"></script>
        <script src="<%= process.env.BASE_URL %>/plugins/pdfmake/pdfmake.min.js"></script>
        <script src="<%= process.env.BASE_URL %>/plugins/pdfmake/vfs_fonts.js"></script>
        <script>
            if (localStorage.getItem("token") != null) {
                window.location.href = '/admin/user/home/view'
            }
        </script>
        <script>
            $(document).ready(function () {
                $('#forgotPassword').validate({
                    rules: {
                        email: {
                            required: true,
                            email: true,
                        },
                    },
                    messages: {
                        email: {
                            required: "Please enter a email address",
                            email: "Please enter a valid email address"
                        },
                    },
                    errorElement: 'span',
                    errorPlacement: function (error, element) {
                        error.addClass('invalid-feedback');
                        element.closest('.form-group').append(error);
                    },
                    highlight: function (element, errorClass, validClass) {
                        $(element).addClass('is-invalid');
                    },
                    unhighlight: function (element, errorClass, validClass) {
                        $(element).removeClass('is-invalid');
                    }
                });

                $("#forgotPassword").submit(function (event) {
                    if ($(this).valid()) {
                        event.preventDefault()
                        
                        $.ajax({
                            url: "/admin/user/forgot/password",
                            method: 'post',
                            data: $(this).serialize(),
                            dataType: 'json',
                            success: function (data) {
                                if (data.responseCode == 200) {
                                    toastr.success(data.responseMessage)
                                    window.location.href = "/admin/user/login/view"
                                }
                                if (data.responseCode == 400) {
                                    toastr.error(data.responseMessage)
                                    $("#email").val("")
                                }
                            },
                            error: function (data) {
                                console.log(data);
                            },
                        })
                    }
                })
            })
        </script>
    </body>

    </html>